Welcome! Log In Create A New Profile

Advanced

PHP-FPM can't parse config file

Posted by Dejay Clayton 
Dejay Clayton
PHP-FPM can't parse config file
May 04, 2010 11:20PM
I've followed the instructions located at http://php-fpm.org/download/
for integrating php-fpm with PHP 5.3.2 source on Ubuntu 10.04 LTS.

The buildconf, configure, make, and install steps execute without
incident. However, when I run php-fpm, I receive the following
errors:

[ERROR] [/usr/local/etc/php-fpm.conf:1] unknown entry '<?xml version'
[ERROR] failed to load configuration file '/usr/local/etc/php-
fpm.conf'

If I delete the xml doc declaration from the first line of the config
file, the error message changes to:

[ERROR] [/usr/local/etc/php-fpm.conf:1] value is NULL for a
ZEND_INI_PARSER_ENTRY
[ERROR] failed to load configuration file '/usr/local/etc/php-
fpm.conf'

Any suggestions? I'd be happy to provide more detail if necessary.

Thanks,
Dejay
Re: PHP-FPM can't parse config file
May 04, 2010 11:22PM
Sounds like you're using the XML format of config file and the newest
PHP-FPM versions use an INI style.

Jerome is it documented anywhere other than the RFC (which isn't
totally end-user friendly in the current form I think)


On Tue, May 4, 2010 at 6:43 PM, Dejay Clayton <relinkedtoo@gmail.com> wrote:
> I've followed the instructions located at http://php-fpm.org/download/
> for integrating php-fpm with PHP 5.3.2 source on Ubuntu 10.04 LTS.
>
> The buildconf, configure, make, and install steps execute without
> incident.  However, when I run php-fpm, I receive the following
> errors:
>
> [ERROR] [/usr/local/etc/php-fpm.conf:1] unknown entry '<?xml version'
> [ERROR] failed to load configuration file '/usr/local/etc/php-
> fpm.conf'
>
> If I delete the xml doc declaration from the first line of the config
> file, the error message changes to:
>
> [ERROR] [/usr/local/etc/php-fpm.conf:1] value is NULL for a
> ZEND_INI_PARSER_ENTRY
> [ERROR] failed to load configuration file '/usr/local/etc/php-
> fpm.conf'
>
> Any suggestions?  I'd be happy to provide more detail if necessary.
>
> Thanks,
> Dejay
>
Dejay Clayton
Re: PHP-FPM can't parse config file
May 04, 2010 11:48PM
Is this something that should be noted in the changelog, at the least? Is
the new config file format backwards incompatible, or merely deprecated?

On Tue, May 4, 2010 at 11:21 PM, Michael Shadle <mike503@gmail.com> wrote:

> Sounds like you're using the XML format of config file and the newest
> PHP-FPM versions use an INI style.
>
> Jerome is it documented anywhere other than the RFC (which isn't
> totally end-user friendly in the current form I think)
>
>
> On Tue, May 4, 2010 at 6:43 PM, Dejay Clayton <relinkedtoo@gmail.com>
> wrote:
> > I've followed the instructions located at http://php-fpm.org/download/
> > for integrating php-fpm with PHP 5.3.2 source on Ubuntu 10.04 LTS.
> >
> > The buildconf, configure, make, and install steps execute without
> > incident. However, when I run php-fpm, I receive the following
> > errors:
> >
> > [ERROR] [/usr/local/etc/php-fpm.conf:1] unknown entry '<?xml version'
> > [ERROR] failed to load configuration file '/usr/local/etc/php-
> > fpm.conf'
> >
> > If I delete the xml doc declaration from the first line of the config
> > file, the error message changes to:
> >
> > [ERROR] [/usr/local/etc/php-fpm.conf:1] value is NULL for a
> > ZEND_INI_PARSER_ENTRY
> > [ERROR] failed to load configuration file '/usr/local/etc/php-
> > fpm.conf'
> >
> > Any suggestions? I'd be happy to provide more detail if necessary.
> >
> > Thanks,
> > Dejay
> >
>
Re: PHP-FPM can't parse config file
May 04, 2010 11:52PM
I had hoped it would be a completely different filename but I am not
sure. I have no real-world 5.3.x-ready code and have been too busy to
try it out on my home box and have fun with it. Jerome and/or Antony
can speak to that stuff

On Tue, May 4, 2010 at 8:47 PM, Dejay Clayton <relinkedtoo@gmail.com> wrote:
> Is this something that should be noted in the changelog, at the least?  Is
> the new config file format backwards incompatible, or merely deprecated?
>
> On Tue, May 4, 2010 at 11:21 PM, Michael Shadle <mike503@gmail.com> wrote:
>>
>> Sounds like you're using the XML format of config file and the newest
>> PHP-FPM versions use an INI style.
>>
>> Jerome is it documented anywhere other than the RFC (which isn't
>> totally end-user friendly in the current form I think)
>>
>>
>> On Tue, May 4, 2010 at 6:43 PM, Dejay Clayton <relinkedtoo@gmail.com>
>> wrote:
>> > I've followed the instructions located at http://php-fpm.org/download/
>> > for integrating php-fpm with PHP 5.3.2 source on Ubuntu 10.04 LTS.
>> >
>> > The buildconf, configure, make, and install steps execute without
>> > incident.  However, when I run php-fpm, I receive the following
>> > errors:
>> >
>> > [ERROR] [/usr/local/etc/php-fpm.conf:1] unknown entry '<?xml version'
>> > [ERROR] failed to load configuration file '/usr/local/etc/php-
>> > fpm.conf'
>> >
>> > If I delete the xml doc declaration from the first line of the config
>> > file, the error message changes to:
>> >
>> > [ERROR] [/usr/local/etc/php-fpm.conf:1] value is NULL for a
>> > ZEND_INI_PARSER_ENTRY
>> > [ERROR] failed to load configuration file '/usr/local/etc/php-
>> > fpm.conf'
>> >
>> > Any suggestions?  I'd be happy to provide more detail if necessary.
>> >
>> > Thanks,
>> > Dejay
>> >
>
>
Jérôme Loyet
Re: PHP-FPM can't parse config file
May 05, 2010 01:46AM
everything is documented in the pfp-fpm.conf.default which is the only
place where it's documented.

2010/5/5 Dejay Clayton <relinkedtoo@gmail.com>:
> Is this something that should be noted in the changelog, at the least?  Is
> the new config file format backwards incompatible, or merely deprecated?
>
> On Tue, May 4, 2010 at 11:21 PM, Michael Shadle <mike503@gmail.com> wrote:
>>
>> Sounds like you're using the XML format of config file and the newest
>> PHP-FPM versions use an INI style.
>>
>> Jerome is it documented anywhere other than the RFC (which isn't
>> totally end-user friendly in the current form I think)
>>
>>
>> On Tue, May 4, 2010 at 6:43 PM, Dejay Clayton <relinkedtoo@gmail.com>
>> wrote:
>> > I've followed the instructions located at http://php-fpm.org/download/
>> > for integrating php-fpm with PHP 5.3.2 source on Ubuntu 10.04 LTS.
>> >
>> > The buildconf, configure, make, and install steps execute without
>> > incident.  However, when I run php-fpm, I receive the following
>> > errors:
>> >
>> > [ERROR] [/usr/local/etc/php-fpm.conf:1] unknown entry '<?xml version'
>> > [ERROR] failed to load configuration file '/usr/local/etc/php-
>> > fpm.conf'
>> >
>> > If I delete the xml doc declaration from the first line of the config
>> > file, the error message changes to:
>> >
>> > [ERROR] [/usr/local/etc/php-fpm.conf:1] value is NULL for a
>> > ZEND_INI_PARSER_ENTRY
>> > [ERROR] failed to load configuration file '/usr/local/etc/php-
>> > fpm.conf'
>> >
>> > Any suggestions?  I'd be happy to provide more detail if necessary.
>> >
>> > Thanks,
>> > Dejay
>> >
>
>
Re: PHP-FPM can't parse config file
May 10, 2010 10:40PM
I have an Ubuntu Lucid package of php5-fpm at https://launchpad.net/~brianmercer/+archive/php if you want to try using that instead of compiling. I used the Ubuntu source package and kept all the same patches and compile options. It's based on a recent svn version and installs a /etc/php5/fpm/php5-fpm.conf file that uses the ini format.

Try out the fcgiwrap package while you're at it. https://launchpad.net/~brianmercer/+archive/fcgiwrap

Let me know if you run into any problems.
Stephen Crosby
Re: PHP-FPM can't parse config file
May 10, 2010 11:36PM
Excellent, I'll be giving this a try on my low volume setup this week.
Thanks.

On Mon, May 10, 2010 at 7:40 PM, brianmercer <nginx-forum@nginx.us> wrote:

> I have an Ubuntu Lucid package of php5-fpm at
> https://launchpad.net/~brianmercer/+archive/phphttps://launchpad.net/%7Ebrianmercer/+archive/phpif you want to try using that instead of compiling. I used the Ubuntu
> source package and kept all the same patches and compile options. It's
> based on a recent svn version and installs a /etc/php5/fpm/php5-fpm.conf
> file that uses the ini format.
>
> Try out the fcgiwrap package while you're at it.
> https://launchpad.net/~brianmercer/+archive/fcgiwraphttps://launchpad.net/%7Ebrianmercer/+archive/fcgiwrap
>
> Let me know if you run into any problems.
>
> Posted at Nginx Forum:
> http://forum.nginx.org/read.php?3,82703,85159#msg-85159
>
>


--
Stephen Crosby
Web Developer
lithostech.com
Stephen Crosby
Re: PHP-FPM can't parse config file
May 12, 2010 06:24PM
brianmercer,

Thanks for doing this. I'm testing it now. Right off the bat I'm noticing a
dependency on php5-cli which probably doesn't need to be there, but that's
pretty minor. So far its looking good.

On Mon, May 10, 2010 at 8:34 PM, Stephen Crosby <stevecrozz@gmail.com>wrote:

> Excellent, I'll be giving this a try on my low volume setup this week.
> Thanks.
>
>
> On Mon, May 10, 2010 at 7:40 PM, brianmercer <nginx-forum@nginx.us> wrote:
>
>> I have an Ubuntu Lucid package of php5-fpm at
>> https://launchpad.net/~brianmercer/+archive/phphttps://launchpad.net/%7Ebrianmercer/+archive/phpif you want to try using that instead of compiling. I used the Ubuntu
>> source package and kept all the same patches and compile options. It's
>> based on a recent svn version and installs a /etc/php5/fpm/php5-fpm.conf
>> file that uses the ini format.
>>
>> Try out the fcgiwrap package while you're at it.
>> https://launchpad.net/~brianmercer/+archive/fcgiwraphttps://launchpad.net/%7Ebrianmercer/+archive/fcgiwrap
>>
>> Let me know if you run into any problems.
>>
>> Posted at Nginx Forum:
>> http://forum.nginx.org/read.php?3,82703,85159#msg-85159
>>
>>
>
>
> --
> Stephen Crosby
> Web Developer
> lithostech.com
>



--
Stephen Crosby
Web Developer
lithostech.com
Re: PHP-FPM can't parse config file
May 12, 2010 06:38PM
Stephen Crosby Wrote:
-------------------------------------------------------
> brianmercer,
>
> Thanks for doing this. I'm testing it now. Right
> off the bat I'm noticing a
> dependency on php5-cli which probably doesn't need
> to be there, but that's
> pretty minor. So far its looking good.
>

You're right, I'll take that out. For some reason, I was confusing the php5 package with php5-common and thinking I needed one of the other SAPIs to get php5-common, but I don't. It's just the php5 metapackage that won't work without another SAPI.

The svn was recently patched with a fix to the dynamic settings. I'm not sure how often to update the package against the svn before people get annoyed that they have to update all the time. What do you think?
Stephen Crosby
Re: PHP-FPM can't parse config file
May 13, 2010 12:26PM
I've been struggling with the same thoughts for some packages I'm
maintaining. In this case, I think the Ubuntu php5 maintainers do a great
job of striking that balance in maintaining an up to date but also highly
stable package. If you're taking recommendations, I'd suggest you follow
right along with the official Ubuntu package.

On Wed, May 12, 2010 at 3:38 PM, brianmercer <nginx-forum@nginx.us> wrote:

> Stephen Crosby Wrote:
> -------------------------------------------------------
> > brianmercer,
> >
> > Thanks for doing this. I'm testing it now. Right
> > off the bat I'm noticing a
> > dependency on php5-cli which probably doesn't need
> > to be there, but that's
> > pretty minor. So far its looking good.
> >
>
> You're right, I'll take that out. For some reason, I was confusing the
> php5 package with php5-common and thinking I needed one of the other SAPIs
> to get php5-common, but I don't. It's just the php5 metapackage that won't
> work without another SAPI.
>
> The svn was recently patched with a fix to the dynamic settings. I'm not
> sure how often to update the package against the svn before people get
> annoyed that they have to update all the time. What do you think?
>
> Posted at Nginx Forum:
> http://forum.nginx.org/read.php?3,82703,86086#msg-86086
>
>


--
Stephen Crosby
Web Developer
lithostech.com
Re: PHP-FPM can't parse config file
May 18, 2010 12:44AM
brianmercer Wrote:
-------------------------------------------------------
> I have an Ubuntu Lucid package of php5-fpm at
> https://launchpad.net/~brianmercer/+archive/php if
> you want to try using that instead of compiling.

Thanks a lot, Brian!
Just installed NginX + php5-fpm on Lucid Lynx, using your PPA.
I had difficulties on configuring NginX fastcgi properly... but now everything is running fine! Cool!!!
Sorry, only registered users may post in this forum.

Click here to login

Online Users

Guests: 90
Record Number of Users: 6 on February 13, 2018
Record Number of Guests: 214 on March 20, 2018
Powered by nginx      Powered by FreeBSD      PHP Powered      Powered by MariaDB      ipv6 ready